Subject: bug#50178: 28.0.50; Size of echo area does not account for line-spacing

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Aug 2021 11:12:38 +0300

> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Thu, 26 Aug 2021 09:54:51 +0200
> 
>  > On true pixel-oriented systems there are APIs for querying the display
>  > engine about several metrics. Then you can place the text at certain
>  > pixel coordinates. Emacs, however, is a Frankenstein system, that uses
>  > pixels (on graphic frames) but the text positioning depends on previous
>  > text, i.e. for vertical positioning it is a line-based, not pixel-based,
>  > system. Therefore, when you just need to output some lines, you must
>  > deal with pixels, translate back to lines and, to add insult to injury,
>  > resort to post-facto information.
> 
> Users think in terms of lines and columns.  True pixel-oriented systems
> are not convenient for editing.

Yes.  Most users won't know the pixel height and width of what we call
"the canonical character" in Emacs.  I only know that because I hack
the display code (which works almost entirely in pixels) frequently
enough to have those values burned into my memory, and even that only
on my main development system.  So the average users out there would
be unable to specify dimensions in pixels, as the dimensions they have
in mind are in lines and columns.